Description

A simple static communication description in SCD based on “Input/ExtRef” combined with later binding is not always sufficient for all
applications. Indeed, one of the most important use cases is redundancy management. For example, it may be necessary for a
protection function to switch the subscription between SV streams published by two redundant MU or between GOOSE streams
published by two redundant SCU.

The associated configuration used by Rte is based on the DO “InRef”. This DO allows to point to different IEC 61850 addresses and
also to manage the test streams. The dynamic change to another SV or GOOSE stream is based on updating the Data Attributes
(DA) “setSrcCB” and “setSrcRef".

1. It seems required to have the capability of changing simultaneously the DA setSrcRef / setSrcCB of an InRef DO.
If not, there is a risk that the application use the wrong input signal while setSrcRef has changed and setSrcCB has not, for instance.

2. It seems required to have the capability of changing simultaneously the DA setSrcRef / setSrcCB of multiple InRef DO of a same
LD.

If not, there is a risk that the application use for instance an input signal on SAMU A, and other inputs signal from SAMU B, which is
discrepant from a system perspective.

Proposal descriptions

Referring to TISSUE: https:/iec61850.tissue-db.com/tissue/1727 (Similar problem that has to be resolved in future)
Suggestion is to subscribe to all streams and to have multiplexer behind to swap between the streams.

How the multiplexer will be resolved?

Proposal is that there should be DataObject (or other) that will be associated to Multiplexer mechanism.
Multiplexor needs a way to be done

ExtRefs are coming from different IEDs. ExtRef/InRef are in 1:1 relation.
Proposal of this group is to start with multiplexer solution in 7-1 (Ed 3) and to extend to other Parts.

Related issues:
Copied from IEC 61850 User Feedback Task Force - Improvement #5372: Simultane... Resolved 05/31/2022
Copied to 61850-7-5 and 61850-7-500 - IEC61850-7-5 #6725: Simultaneous change... In Progress  05/31/2022
https://iec61850.tissue-db.com/tissue/1727

History

#1 - 08/09/2022 08:11 AM - Vladan Cvejic

- Copied from Improvement #5372: Simultaneous change of InRef.setSrcRef and InRef.setSrcCB for dynamic commutation added

#2 - 06/21/2023 02:20 AM - Vladan Cvejic

- Tracker changed from WG10FutureWork to WG10 Future Work
- Needs More Information set to No

- Target edition set to Edition 3

- Assigned TF 61850-7-1 added

#3 - 10/26/2023 02:37 AM - Vladan Cvejic

- Target edition changed from Edition 3 to Not assigned

#4 - 02/08/2024 04:52 AM - Viladan Cvejic

- Target edition changed from Not assigned to Next

#5 - 02/08/2024 04:54 AM - Viadan Cvejic
- Standard(s) changed from IEC 61850-7-1 to IEC 61850-7-1, TR IEC 61850-10-3
- Assigned TF 61850-10-3 (Functional Testing) added

To be investigated in TF 10-3

#6 - 02/08/2024 04:58 AM - Vladan Cvejic

- Standard(s) changed from IEC 61850-7-1, TR IEC 61850-10-3 to TR IEC 61850-90-20, TR IEC 61850-10-3
- Assigned TF 61850-90-20 added

- Assigned TF deleted (61850-7-1)

#7 - 02/08/2024 05:02 AM - Vladan Cvejic
- Standard(s) changed from TR IEC 61850-90-20, TR IEC 61850-10-3 to TR IEC 61850-10-3, TR IEC 61850-90-20

To be addressed also by new TF for topology.

#8 - 02/29/2024 09:03 AM - Vladan Cvejic
- Copied to IEC61850-7-5 #6725: Simultaneous change of InRef.setSrcRef and InRef.setSrcCB for dynamic commutation added
